Bug 1254885 - [abrt] fedmsg-notify: _fedora.py:60:get_reported_bugs:ValueError: invalid literal for int() with base 10: 'https://bugzilla.redhat.com/1245933'
[abrt] fedmsg-notify: _fedora.py:60:get_reported_bugs:ValueError: invalid lit...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: fedmsg-notify (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Luke Macken
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:b7898d01ed5516414980ce0f21d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-19 03:53 EDT by Tim Waugh
Modified: 2016-09-19 22:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:34:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.28 KB, text/plain)
2015-08-19 03:53 EDT, Tim Waugh
no flags Details
File: environ (1021 bytes, text/plain)
2015-08-19 03:53 EDT, Tim Waugh
no flags Details

  None (edit)
Description Tim Waugh 2015-08-19 03:53:30 EDT
Version-Release number of selected component:
fedmsg-notify-0.5.5-2.fc22

Additional info:
reporter:       libreport-2.6.2
cmdline:        /usr/bin/python /usr/bin/fedmsg-notify-daemon
executable:     /usr/bin/fedmsg-notify-daemon
kernel:         4.1.4-200.fc22.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
_fedora.py:60:get_reported_bugs:ValueError: invalid literal for int() with base 10: 'https://bugzilla.redhat.com/1245933'

Traceback (most recent call last):
  File "/usr/bin/fedmsg-notify-daemon", line 9, in <module>
    load_entry_point('fedmsg-notify==0.5.5', 'console_scripts', 'fedmsg-notify-daemon')()
  File "/usr/lib/python2.7/site-packages/fedmsg_notify/daemon.py", line 352, in main
    service = FedmsgNotifyService()
  File "/usr/lib/python2.7/site-packages/fedmsg_notify/daemon.py", line 120, in __init__
    self.settings_changed(self.settings, 'enabled-filters')
  File "/usr/lib/python2.7/site-packages/fedmsg_notify/daemon.py", line 171, in settings_changed
    self.filters.append(filter(filter_settings.get(name, '')))
  File "/usr/lib/python2.7/site-packages/fedmsg_notify/filters.py", line 51, in __init__
    self.bugs = get_reported_bugs()
  File "/usr/lib/python2.7/site-packages/fedmsg_notify/distro_specific/_fedora.py", line 60, in get_reported_bugs
    bug_num = int(line.split('=')[-1])
ValueError: invalid literal for int() with base 10: 'https://bugzilla.redhat.com/1245933'

Local variables in innermost frame:
bug_num: 1011021
line: 'Bugzilla: URL=https://bugzilla.redhat.com/1245933'
prob: <problem.Ccpp (gnome-contacts-search-provider killed by SIGSEGV)>
bugs: set([1011021])
Comment 1 Tim Waugh 2015-08-19 03:53:33 EDT
Created attachment 1064645 [details]
File: backtrace
Comment 2 Tim Waugh 2015-08-19 03:53:34 EDT
Created attachment 1064646 [details]
File: environ
Comment 3 Fedora End Of Life 2016-07-19 13:34:22 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.